CreateScheduleAction
Creates a schedule action on a feed. A schedule action applies configuration changes to the feed at a time that you specify, in the same way as an UpdateFeed request.
Elemental Inference validates the targets of the action when you create it.
Request Syntax
POST /v1/feed/id/schedule-actions HTTP/1.1
Content-type: application/json
{
"actionName": "string",
"operations": [
{ ... }
],
"startConfiguration": { ... }
}
URI Request Parameters
The request uses the following URI parameters.
- id
-
Specifies the ID of the feed that you want to add the schedule action to.
Pattern:
[a-z0-9]{19}Required: Yes
Request Body
The request accepts the following data in JSON format.
- actionName
-
A name for the schedule action. The name must be unique within the feed. You can reuse the name of an action that you deleted.
Type: String
Pattern:
[a-zA-Z0-9]([a-zA-Z0-9-_]{0,126}[a-zA-Z0-9])?Required: Yes
- operations
-
Specifies the list of configuration changes that you want to make to the feed. Elemental Inference applies all the operations in an action together, in the order that you specify them. If any operation fails, Elemental Inference doesn't apply any of them.
Type: Array of ScheduleActionOperation objects
Array Members: Minimum number of 1 item. Maximum number of 10 items.
Required: Yes
- startConfiguration
-
Specifies when the action runs.
Type: ScheduleActionStartConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: Yes
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"actionName": "string",
"error": {
"errorCode": "string",
"errorMessage": "string"
},
"operations": [
{ ... }
],
"startConfiguration": { ... },
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- actionName
-
The name that you specified.
Type: String
Pattern:
[a-zA-Z0-9]([a-zA-Z0-9-_]{0,126}[a-zA-Z0-9])? - error
-
A description of why the action failed. Elemental Inference returns this property only when the status is FAILED.
Type: ScheduleActionError object
- operations
-
The configuration changes that the action makes to the feed.
Type: Array of ScheduleActionOperation objects
Array Members: Minimum number of 1 item. Maximum number of 10 items.
- startConfiguration
-
Specifies when the action runs.
Type: ScheduleActionStartConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
- status
-
The status of the action. After you create the action successfully, Elemental Inference sets the status to PENDING.
Type: String
Valid Values:
PENDING | COMPLETED | FAILED
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict.
HTTP Status Code: 409
- InternalServerErrorException
-
An internal server error occurred. This is a temporary condition and the request can be retried. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource specified in the action doesn't exist.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request was rejected because it would exceed one or more service quotas for your account. Review your service quotas and either delete unused resources or request a quota increase.
HTTP Status Code: 402
- TooManyRequestException
-
The request was denied due to request throttling. Too many requests have been made within a given time period. Reduce the frequency of requests and use exponential backoff when retrying.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service. Check the error message for details about which parameter or field is invalid and correct the request before retrying.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: